> For the complete documentation index, see [llms.txt](https://docs.expel.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.expel.io/connect-your-technology/q-z-integrations/verizon-network-detection-and-response-formerly-protectwise-setup-for-workbench.md).

# Verizon Network Detection and Response (formerly ProtectWise) Setup for Workbench

## Step 1: Enable Console Access <a href="#h_01hz7j8xqd2e3prsaa5vj0ksqy" id="h_01hz7j8xqd2e3prsaa5vj0ksqy"></a>

This procedure creates a user account for Expel that keeps Expel activity separate from other activity on the Network Detection and Response console.

Having read-only access to the interface of your technology allows Expel to dig deeper during incident investigations. Our device health team uses this access to investigate potential health issues with your tech. For more information, see [Why Expel Asks for Console Access](/connect-your-technology/about-integrations/why-expel-asks-for-console-access.md).

1. In Verizon, navigate to **Settings > User Management > Add User**.
2. Configure the user as follows:
   * **First Name** - enter "Expel".
   * **Last Name** - enter "SOC".
   * **Email** - enter "soc+\<Your\_Organization\_Name>@expel.io".
     * For example, if your organization were Acme Corp, the format would be "<soc+acme_corp@expel.io>".
   * **Password** - provide a password.
   * **Role** - select **Admin**.
3. Click **Save**.

## Step 2: Enable API Access for Expel <a href="#uuid-d19e9bc8-356d-84ae-4d67-50f3c7b394f4_bridgehead-13305635918636" id="uuid-d19e9bc8-356d-84ae-4d67-50f3c7b394f4_bridgehead-13305635918636"></a>

This procedure creates an authentication token that allows access to the Network Detection and Response API.

Create the API token for the `soc+<Your Organization Name>@expel.io` Account

*Reference*: <https://api.protectwise.com/momfodhxhz/getting_started.html>

* Make a POST request to [*https://api.protectwise.com/api/v1/token*](https://api.protectwise.com/api/v1/token)

```
{ "email": "john.doe@protectwise.com", "password": "MyPassword!" } 
```

* You receive a response with your token.

```
{ "token": "john.doe@protectwise.com@@a45ec285-22d2-48af-b75c-9688f71a9eac" } 
```

For example

```
curl -H "Content-Type: application/json" -d 
'{"email":"john.doe@protectwise.com","password":"MyPassword!"}'
https://api.protectwise.com/api/v1/token
```

Make note of the token used next for registration within Workbench.

## Step 3: Add Verizon NDR as a Security Device in Workbench <a href="#uuid-d19e9bc8-356d-84ae-4d67-50f3c7b394f4_bridgehead-26271" id="uuid-d19e9bc8-356d-84ae-4d67-50f3c7b394f4_bridgehead-26271"></a>

Now that you have the correct access configured and noted the credentials, you can integrate your tech with Workbench.

1. ​[Log in to Workbench](https://workbench.expel.io/auth/login?orig=%2F).
2. In the side menu, navigate to **Organization Settings > Security Devices**. If you have multiple organizations, you must select the appropriate organization name from the list.
3. Select **Add Security Device**.
4. Search for and select **Verizon Network Detection and Response**.
   * **Name** - enter a name that might help you more easily identify this integration, such as “CompanyName Verizon NDR”; this name will display in Workbench under the Name column, and is a text string that you can filter on.
   * **Location** - enter the location of your integration, for example “cloud.” This is also a text string that you can filter on, so we recommend being consistent with location naming across your Expel integrations.
   * **Token** - enter the token generated in [Step 2](#uuid-d19e9bc8-356d-84ae-4d67-50f3c7b394f4_bridgehead-13305635918636).
5. Click **Save**.
6. On the console access screen, select **Set up now**.
7. In the Console Login area, complete the fields as follows:
   * **Console URL** - enter the console URL from the Server address in the Connection Settings area above. At the end of the URL, enter "**/login"**.
   * **Username** - enter the username for the new user you created in [Step 1](#h_01hz7j8xqd2e3prsaa5vj0ksqy).
   * **Password** - enter the password for the new user.
   * **Two-factor secret key (32-character code)** - depending on how your organization enforces log-ins, this field may not apply to you. In these cases, you can leave it blank. This field is optional. If you have questions or concerns, reach out to your Customer Success Manager (CSM) or Expel support.
8. Select **Save**.

Your device should be created successfully within a few seconds. A few reminders:

* After your connection is healthy, it will take some time for your device to begin polling and receiving data.
* To check on the status, select the downward arrow for your device in the first column and choose **View details**.
* Polling will happen first; data will be received after that. **You must refresh the page to see updates.**
* If your device does not begin polling within 15 minutes, and does not begin receiving data within 30 minutes, [contact our support team for help](/support/how-to-reach-us.md).
* To check if alerts are coming through, navigate to **Dashboards > Alert Analysis**. Scroll to the device you want to check, and select the **Expel Alerts** tab to reveal more alert information. It can take 36 to 72 hours for alerts to appear after setup, as we [tune your device](/workbench-reference/alerts/how-expel-alerts-work.md#device-tuning).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.expel.io/connect-your-technology/q-z-integrations/verizon-network-detection-and-response-formerly-protectwise-setup-for-workbench.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
